Search documentation of ExStreamClient

# ExStreamClient.Config (ExStreamClient v0.1.10)

View Source

Configuration for the Stream client.

# Summary

## Functions

api_key()
api_key_secret()
endpoint()
log()

Returns the logging configuration.

log_enabled?(category, key)

Checks if logging is enabled for a specific category and touchpoint.

log_level()

Returns the log level.

# Functions

# api_key()

    @spec api_key() :: String.t()

# api_key_secret()

    @spec api_key_secret() :: String.t()

# endpoint()

    @spec endpoint() :: String.t()

# log()

    @spec log() :: keyword()

Returns the logging configuration.

# log_enabled?(category, key)

    @spec log_enabled?(atom(), atom()) :: boolean()

Checks if logging is enabled for a specific category and touchpoint.

## Examples

    log_enabled?(:request, :url)    # Check if request URL logging is enabled
    log_enabled?(:request, :body)   # Check if request body logging is enabled
    log_enabled?(:response, :body)  # Check if response body logging is enabled

# log_level()

    @spec log_level() :: atom()

Returns the log level.